/*Programma main per lanciare la funzione regine.c*/

/* Copyright 2004-2005 by Gianfranco Gignina <shinkuro@amiga.it>
 * All Rights Reserved.
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
*/

#include <stdio.h>
#include "Regine.h"
#include <stdlib.h>

int main(int argc,char **argv)
{
    int N, i, j, tempC[1];
    int chess_board[maxM][maxM];

    char Nqueen[maxS], *NumeroQ;


    if (argc!=2)
    {
        printf("Benvenuto!\n");
        printf("Sono il programma che ti permettera' di\n");
        printf("posizionare in modo corretto un numero di regine\n");
        printf("...su una scacchiera mediante l'algoritmo delle 4Regine!\n");
        printf("\nInserisci il numero di regine da posizionare:\n");

        printf(": ");
        scanf("%d", &N);
    }
    else N=atoi(argv[1]);


    if (regine(N,chess_board)==1)
    {
        printf("Attenzione non e' possibile determinare la posizione\n");
        printf("del numero di regine immesse!\n");
        printf("\nRieseguire il programma ed immettere un numero di regine\n");
        printf("superiore a 3 o inferiore a 30\n");
        printf("G R A Z I E...");
        return 1;
    }


    if (regine(N,chess_board)==-1)
        {
            printf("\nProgramma interrotto!\n");
            return 2;
        }

    printf("Ecco come risultano sistemate le regine sulla scacchiera:\n");
    printf("\n");
    for (i=0;i<N;i++)
    {
        for (j=0;j<N;j++)
        {
            if (chess_board[i][j] ==queen) printf("Q ");
            else printf("# ");
        }
        printf("\n");
    }

    return 0;
}

